<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>FlexBox: flex-basis</title>
	<link href="https://fonts.googleapis.com/css2?family=Roboto:wght@400;500;700&display=swap" rel="stylesheet">
</head>
<style>
	body {
		margin: 0;
		font-size: 16px;
		font-family: 'Roboto', sans-serif;
	}
	img { max-width: 100% }
	a { text-decoration: none; }
	p { padding: 0; margin: 0; }
	html { box-sizing: border-box; }
	*,*:before,*:after { box-sizing: inherit; }

	.g-content { max-width: 1200px; width: 100%; margin: 0 auto; }


	.example {
		display: flex;
		border: 1px solid #000;
	}

	.example div {
		padding: 10px;
	}

	.example_1 div {
		flex-basis: 300px;
		width: 450px;
	}

	.example_2 {
		flex-direction: column;
	}

	.example_2 div {
		flex-basis: 150px;
		height: 1000px;
	}

</style>
	<body>
		<div class="g-content">
			<h3>
				flex-basis: 300px - имеет преоритет выше<br/>
				width: 450px; - не срботало
			</h3>
			<div class="example example_1">
				<div style="background-color: #FFEDBB">Блок 1</div>
				<div style="background-color: #B4DEB6">Блок 2</div>
				<div style="background-color: #8EC4E6">Блок 3</div>
			</div>
			<h3>
				flex-direction: column; - меняем главную ось<br/>
				flex-basis: 150px; - имеет преоритет выше<br/>
				height: 1000px; - не срботало
			</h3>
			<div class="example example_2">
				<div style="background-color: #FFEDBB">Блок 1</div>
				<div style="background-color: #B4DEB6">Блок 2</div>
				<div style="background-color: #8EC4E6">Блок 3</div>
			</div>
		</div>
	</body>
</html>